// Only modify this file to include
// - function definitions (prototypes)
// - include files
// - extern variable definitions
// In the appropriate section

#ifndef _main_H_
#define _main_H_
#include "Arduino.h"
//add includes for the project here


//end of includes here
#ifdef __cplusplus
extern "C" {
#endif
void loop();
void setup();
#ifdef __cplusplus
} // extern "C"
#endif


#define SERIAL_DEBUG

#if defined(__AVR_ATmega2560__) && defined(SERIAL_DEBUG)
	#define dPrint(x...) Serial.print(x)
	#define dPrintln(x...) Serial.println(x)
#else
	#define dPrint(x...)
	#define dPrintln(x...)
#endif

// no-cost stream operator as described at http://sundial.org/arduino/?page_id=119
template <class T> inline Print &operator << (Print &obj, T arg) {
	obj.print(arg);
	return obj;
}

void process100mS();
//uint8_t keyScan();
void guiPrintStatic();
void guiPrintMesages(char *);
void guiPrintLive();
void guiPrintHBar();
void guiPrintModbusTimeout();
void guiPrintModbusException();
void guiPrintModbusUnhandled();

//void pagePrintStatic(uint16_t);
//void pagePrintValues(uint16_t);
//void pageEditCursor(uint8_t);

//Do not add code below this line
#endif /* main_H_ */
